package com.steering.mes.zgmil.entity;




/**
 * 数据库表MIL_SIZE_CHECK_DEATIL所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-12-28
 */
public class MilSizeCheckDeatilEntity {
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 抽检管编号
     */
    private String samplePipeNo;
    /**
     * D1
     */
    private String d1;
    /**
     * D2
     */
    private String d2;
    /**
     * S1
     */
    private String s1;
    /**
     * S2
     */
    private String s2;
    /**
     * S3
     */
    private String s3;
    /**
     * S4
     */
    private String s4;
    /**
     * 0为管段，1为管体
     */
    private String location;
    /**
     * 抽检管序号
     */
    private String samplePipeSeq;
    
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 不圆度
     */
    private String nonRoundness = "";
    /**
     * 不均度
     */
    private String unevenDegree = "";

    public MilSizeCheckDeatilEntity(){
        resultNo = "";
        judgeStoveNo = "";
        samplePipeNo = "";
        d1 = "";
        d2 = "";
        s1 = "";
        s2 = "";
        s3 = "";
        s4 = "";
        proPlanId = "";
        gxPlanNo = "";
        nonRoundness = "";
        unevenDegree = "";
        location = "";
        samplePipeSeq = "";
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 抽检管编号
     * @return value
     */
    public String getSamplePipeNo() {
        return samplePipeNo;
    }

    /**
     * 抽检管编号
     * @param samplePipeNo value
     */
    public void setSamplePipeNo(String samplePipeNo) {
        this.samplePipeNo = samplePipeNo;
    }

    /**
     * D1
     * @return value
     */
    public String getD1() {
        return d1;
    }

    /**
     * D1
     * @param d1 value
     */
    public void setD1(String d1) {
        this.d1 = d1;
    }

    /**
     * D2
     * @return value
     */
    public String getD2() {
        return d2;
    }

    /**
     * D2
     * @param d2 value
     */
    public void setD2(String d2) {
        this.d2 = d2;
    }

    /**
     * S1
     * @return value
     */
    public String getS1() {
        return s1;
    }

    /**
     * S1
     * @param s1 value
     */
    public void setS1(String s1) {
        this.s1 = s1;
    }

    /**
     * S2
     * @return value
     */
    public String getS2() {
        return s2;
    }

    /**
     * S2
     * @param s2 value
     */
    public void setS2(String s2) {
        this.s2 = s2;
    }

    /**
     * S3
     * @return value
     */
    public String getS3() {
        return s3;
    }

    /**
     * S3
     * @param s3 value
     */
    public void setS3(String s3) {
        this.s3 = s3;
    }

    /**
     * S4
     * @return value
     */
    public String getS4() {
        return s4;
    }

    /**
     * S4
     * @param s4 value
     */
    public void setS4(String s4) {
        this.s4 = s4;
    }

    /**
     * 0为管段，1为管体
     * @return value
     */
    public String getLocation() {
        return location;
    }

    /**
     * 0为管段，1为管体
     * @param location value
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * 抽检管序号
     * @return value
     */
    public String getSamplePipeSeq() {
        return samplePipeSeq;
    }

    /**
     * 抽检管序号
     * @param samplePipeSeq value
     */
    public void setSamplePipeSeq(String samplePipeSeq) {
        this.samplePipeSeq = samplePipeSeq;
    }
    
    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 不圆度
     * @return value
     */
    public String getNonRoundness() {
        return nonRoundness;
    }

    /**
     * 不圆度
     * @param nonRoundness value
     */
    public void setNonRoundness(String nonRoundness) {
        this.nonRoundness = nonRoundness;
    }

    /**
     * 不均度
     * @return value
     */
    public String getUnevenDegree() {
        return unevenDegree;
    }

    /**
     * 不均度
     * @param unevenDegree value
     */
    public void setUnevenDegree(String unevenDegree) {
        this.unevenDegree = unevenDegree;
    }
}
